MsWksTableInternal::Table Struct Reference documentation

MsWksTableInternal::Table Struct Reference

Internal: the table of a MsWksTable. More...

## Classes
struct | Cell
| the cell content More...

## Public Member Functions
| Table (MsWksGraph::Style const &style)
| constructor
| Table ()
| empty constructor
Cell const * | getCell (MWAWVec2i const &pos) const
| try to find a cell

## Public Attributes
MWAWGraphicStyle | m_style
| the graphic style
int | m_numRows
| the number of rows
int | m_numCols
| the number of columns
std::vector< int > | m_rowsDim
| the rows dimensions
std::vector< int > | m_colsDim
MWAWFont | m_font
| the default font
std::vector< Cell > | m_cellsList
| the list of cell

## Detailed Description

Internal: the table of a MsWksTable.

## Constructor & Destructor Documentation

## ◆ Table() [1/2]

MsWksTableInternal::Table::Table | ( | MsWksGraph::Style const & | style | ) |
| inlineexplicit

constructor

## ◆ Table() [2/2]

MsWksTableInternal::Table::Table | ( |  | ) |
| inline

empty constructor

## Member Function Documentation

## ◆ getCell()

Cell const * MsWksTableInternal::Table::getCell | ( | MWAWVec2i const & | pos | ) | const
| inline

try to find a cell

## Member Data Documentation

## ◆ m_cellsList

std::vector<Cell> MsWksTableInternal::Table::m_cellsList

the list of cell

Referenced by getCell(), MsWksTable::readTable(), Table(), and Table().

## ◆ m_colsDim

std::vector<int> MsWksTableInternal::Table::m_colsDim

Referenced by MsWksTable::readTable(), Table(), and Table().

## ◆ m_font

MWAWFont MsWksTableInternal::Table::m_font

the default font

Referenced by Table(), and Table().

## ◆ m_numCols

int MsWksTableInternal::Table::m_numCols

the number of columns

Referenced by MsWksTable::readTable(), Table(), and Table().

## ◆ m_numRows

int MsWksTableInternal::Table::m_numRows

the number of rows

Referenced by MsWksTable::readTable(), Table(), and Table().

## ◆ m_rowsDim

std::vector<int> MsWksTableInternal::Table::m_rowsDim

the rows dimensions

Referenced by MsWksTable::readTable(), Table(), and Table().

## ◆ m_style

MWAWGraphicStyle MsWksTableInternal::Table::m_style

the graphic style

Referenced by Table(), and Table().

The documentation for this struct was generated from the following file:

- MsWksTable.cxx